%define lib_major 6
%define api_version 3
%define gir_api 3.0
%define libname %mklibname %{name} %{api_version} %{lib_major}
%define libnamedev %mklibname -d %{name}
%define libnamegir %mklibname %{name}-gir %{gir_api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	API documentation browser for developers
Name:		devhelp
Version:	3.34.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
URL:		https://wiki.gnome.org/Apps/Devhelp
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(amtk-5)
BuildRequires:	pkgconfig(gio-2.0) >= 2.37.3
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gthread-2.0) >= 2.10.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.13.4
BuildRequires:	pkgconfig(webkit2gtk-4.0) >= 2.0.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson

%description
Devhelp is an API documentation browser for GTK+ and GNOME. It works
natively with GTK-Doc (the API reference system developed for GTK+ and
used throughout GNOME for API documentation).

%package -n %{libname}
Summary:	Dynamic libraries for devhelp
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
this package contains dynamic libraries for devhelp.

%package -n %{libnamedev}
Summary:	Development files and headers for devhelp
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}devhelp-2-devel < %{version}

%description -n %{libnamedev}
This package contains the development files and headers for devhelp.

%package -n %{name}-plugins
Summary:	Gedit Plugins for Devhelp
Group:		Editors
Requires:	gedit
Requires:	python3-gobject3

%description -n %{name}-plugins
Gedit plugins to use with Devhelp.

%prep
%setup -q

%build
%meson -Dgtk_doc=false
%meson_build

%install
%meson_install

# owns this dir
mkdir -p %{buildroot}%{_datadir}/%{name}/books

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.gnome.Devhelp.desktop
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/glib-2.0/schemas/org.gnome.devhelp.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.libdevhelp-3.gschema.xml
%{_datadir}/metainfo/org.gnome.Devhelp.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Devhelp.service
%{_mandir}/man1/%{name}.1*
%{_datadir}/help
%{_libdir}/girepository-1.0/Devhelp-%{gir_api}.typelib

%files -n %{libname}
%{_libdir}/lib%{name}-%{api_version}.so.%{lib_major}*

%files -n %{libnamedev}
%{_includedir}/%{name}-3
%{_datadir}/gir-1.0/Devhelp-%{gir_api}.gir
%{_libdir}/lib%{name}-%{api_version}.so
%{_libdir}/pkgconfig/lib%{name}-3.0.pc

%files -n %{name}-plugins
%{_libdir}/gedit/plugins/*


%changelog
* Wed Sep 11 2019 tex - 3.34.0-1pclos2019
- new version 3.34.0
